Bug 21879 - Code cleaning in printinvoice.pl
Summary: Code cleaning in printinvoice.pl
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Devinim
QA Contact: Testopia
URL:
Keywords:
Depends on: 19489
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-23 14:55 UTC by Devinim
Modified: 2020-04-14 04:11 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 21879: Code cleaning in printinvoice.pl (1.27 KB, patch)
2018-11-23 15:00 UTC, Devinim
Details | Diff | Splinter Review
Bug 21879: Code cleaning in printinvoice.pl (1.38 KB, patch)
2020-02-21 14:34 UTC, Devinim
Details | Diff | Splinter Review
Bug 21879: Code cleaning in printinvoice.pl (1.58 KB, patch)
2020-02-26 15:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21879: Code cleaning in printinvoice.pl (1.64 KB, patch)
2020-02-26 15:42 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Devinim 2018-11-23 14:55:43 UTC
While working on bug 19489, we realized that some lines are nor necessary anymore, hence we will clean those.
Comment 1 Devinim 2018-11-23 15:00:35 UTC
Created attachment 82618 [details] [review]
Bug 21879: Code cleaning in printinvoice.pl
Comment 2 Michal Denar 2018-12-01 15:43:05 UTC
Hi,
any test plan?
Comment 3 Devinim 2018-12-04 06:09:05 UTC
Hi Michal,
This patch depends on the patch of Bug 19489.
After applying patch 19489 and test all steps you should apply this and then check whether it is working as expected.

Thanks.

Devinim Koha Team
Comment 4 Michal Denar 2019-04-04 20:07:33 UTC
Hi,
I get:
Applying: Bug 21879: Code cleaning in printinvoice.pl
error: sha1 information is lacking or useless (members/printinvoice.pl).
error: could not build fake ancestor
Patch failed at 0001 Bug 21879: Code cleaning in printinvoice.pl
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-21879-Code-cleaning-in-printinvoicepl-SF3uPq.patch

Please rebase patch.
Comment 5 Devinim 2020-02-21 14:34:59 UTC
Created attachment 99385 [details] [review]
Bug 21879: Code cleaning in printinvoice.pl

The problem is solved. Please apply again.
Comment 6 Jonathan Druart 2020-02-26 15:28:53 UTC
Created attachment 99651 [details] [review]
Bug 21879: Code cleaning in printinvoice.pl

Coming from
  commit 51aa6db46c604aa202a3d8f8e5028557480efbd5
  Bug 12001: Move GetMemberAccountRecords to the Koha namespace

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2020-02-26 15:31:05 UTC
Trivial, dead code. Skipping QA.
Comment 8 Martin Renvoize 2020-02-26 15:42:44 UTC
Created attachment 99653 [details] [review]
Bug 21879: Code cleaning in printinvoice.pl

Coming from
  commit 51aa6db46c604aa202a3d8f8e5028557480efbd5
  Bug 12001: Move GetMemberAccountRecords to the Koha namespace

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2020-02-26 15:43:05 UTC
Haha, you beat me to it.
Comment 10 Martin Renvoize 2020-02-26 20:43:15 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-04-01 20:14:43 UTC
backported to 19.11.x for 19.11.05
Comment 12 Lucas Gass 2020-04-08 21:33:43 UTC
backported to 19.05.x for 19.05.10
Comment 13 Hayley Mapley 2020-04-14 04:11:22 UTC
Minor/enhancement will not be backported to 18.11.x series